<?php

/**
 * The plugin bootstrap file
 *
 *
 * @link              https://www.welaunch.io/en/product/wordpress-multilingual-multisite/
 * @since             1.0.
 * @package           WordPress_Multilingual_Multisite
 *
 * @wordpress-plugin
 * Plugin Name:       WordPress Multilingual Multisite
 * Plugin URI:        https://www.persianscript.ir/
 * Description:       The all in one Multilingual Multisite Solution
 * Version:           1.2.11
 * Author:            پرشین اسکریپت
 * Author URI:        https://www.persianscript.ir/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       wordpress-multilingual-multisite
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-wordpress-multilingual-multisite-activator.php
 */
function wel_wordpress_multilingual_multisite_activate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wordpress-multilingual-multisite-activator.php';
	$activator = new WordPress_Multilingual_Multisite_Activator();
	$activator->activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-wordpress-multilingual-multisite-deactivator.php
 */
function wel_wordpress_multilingual_multisite_deactivate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wordpress-multilingual-multisite-deactivator.php';
	WordPress_Multilingual_Multisite_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'wel_wordpress_multilingual_multisite_activate' );
register_deactivation_hook( __FILE__, 'wel_wordpress_multilingual_multisite_deactivate' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-wordpress-multilingual-multisite.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,jj
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function wel_wordpress_multilingual_multisite_run($args = array()) {

	$plugin = new WordPress_Multilingual_Multisite();
	$plugin->run();

	return $plugin;
}

function wel_wordpress_multilingual_multisite_cronjob_run() {

	global $wpdb;

	// Posts Table
	$db_name = $wpdb->prefix . 'posts_translations';

	$sql = "DELETE FROM `" . $db_name . "` WHERE ";

	$sites = get_sites();
	foreach ($sites as $site) {
   		$sql .= "`" . $site->blog_id . "` IS NULL AND";
   	}

   	$sql = substr($sql, 0, -4) . ';';

	$wpdb->query($sql);

	// Terms Table
	$db_name = $wpdb->prefix . 'terms_translations';

	$sql = "DELETE FROM `" . $db_name . "` WHERE ";

	$sites = get_sites();
	foreach ($sites as $site) {
   		$sql .= "`" . $site->blog_id . "` IS NULL AND";
   	}

   	$sql = substr($sql, 0, -4) . ';';

	$wpdb->query($sql);
}

include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
if ( (is_plugin_active('welaunch-framework/welaunch-framework.php') || is_plugin_active('redux-framework/redux-framework.php') || is_plugin_active('redux-dev-master/redux-framework.php')) && function_exists('get_sites') ){
	$WordPress_Multilingual_Multisite = wel_wordpress_multilingual_multisite_run();
	add_action('wel_wordpress_multilingual_multisite_run_cron', 'wel_wordpress_multilingual_multisite_cronjob_run');
} else {
	add_action( 'admin_notices', 'wel_wordpress_multilingual_multisite_not_installed' );
}

function wel_wordpress_multilingual_multisite_not_installed()
{
	?>
    <div class="error">
      <p><?php esc_html_e( 'WordPress Multilingual Multisite requires our welaunch Framework plugin and your site needs to run on WP Multisite Network. Please install or activate it before!', 'wordpress-multilingual-multisite'); ?></p>
    </div>
    <?php
}
